
ORG #A300
WRITE "DEMO.BIN"
	

	ld a, 1;
	call #bc0e;


	ld bc,#f782;
	out (c),c;
	dec b;
	ld c,#f;
	out (c),c;
	inc b;
	ld a,#82;
	out (c),a;
	dec b;
	in a,(c);
	cp c;
	jr z, okPlus;

	ld hl, message;
.loopDisplay
	ld a, ( hl );
	or a;
	jp z, endNoPlus;
	push hl;
	call #bb5a;
	pop hl;
	inc hl;
	jp loopDisplay;
.endNoPlus
	jp endNoPlus;
.message
	defm "NO PLUS, NO DEMO!"
	defb 0;

okPlus:
	ld hl, ( #BE7D )
	ld a, ( hl )
	push hl
	push af
	ld hl, #ABFF
	ld de, #0040
	ld c, #07
	call #BCCE
	pop af
	pop hl
	ld ( hl ),a

	call #bd19;
	ld b, 0;
	ld c, b;
	call #bc38;
	ld a, 0;
	ld b, 0;
	ld c, b;
	call #bc32;
	ld a, 1;
	ld b, 0;
	ld c, b;
	call #bc32;
	ld a, 2;
	ld b, 0;
	ld c, b;
	call #bc32;
	ld a, 3;
	ld b, 0;
	ld c, b;
	call #bc32;

     	ld a,%00000011;
    	call fdc_put;
   	ld a,%11001111  ; Fast StepRate/HeadLoad
  	call fdc_put;
 	ld a,%00000011  ; HeadUnload

	;defb #ed, #ff;

	ld hl, loading_z80
	ld de, #8E0
	call load
	ld hl, loading_data
	ld de, #1500
	call load
	ld hl, endLoading;
	ld ( #1500 - 2 ), hl;
	call #8E0
.endLoading
	ld sp, #A500

	ld a, 0;
	ld b, 0;
	ld c, b;
	call #bc32;
	ld a, 1;
	ld b, 10;
	ld c, b;
	call #bc32;
	ld a, 2;
	ld b, 13;
	ld c, b;
	call #bc32;
	ld a, 3;
	ld b, 26;
	ld c, b;
	call #bc32;
	ld bc, 0;
	call #bc38;

	ld hl, z80_1
	ld de, #8E0
	call load
	ld hl, data_1
	ld de, #1500
	call load
	ld hl, endPart1;
	ld ( #1500 - 2 ), hl;
	call #8E0
.endPart1
	ld sp, #A500
	
	ld hl, z80_2
	ld de, #8E0
	call load
	ld hl, data_2
	ld de, #1500
	call load

	;ld a, 0;
	;ld b, 0;
	;ld c, b;
	;call #bc32;
	;ld a, 1;
	;ld b, 0;
	;ld c, b;
	;call #bc32;
	;ld a, 2;
	;ld b, 0;
	;ld c, b;
	;call #bc32;
	;ld a, 3;
	;ld b, 0;
	;ld c, b;
	;call #bc32;
	;ld bc, 0;
	;call #bc38;

	;ld a, 1;
	;call #bc0e;

	jp #8E0

load
	ld b, (hl );
	inc hl;
	ld ( load1 + 1 ), de;
	call #bc77;
load1
	ld hl, #0;
	call #bc83;
	call #bc7a;
	ret;

loading_z80
	defb 11
	defm "LOADING.Z80"
loading_data
	defb 11
	defm "LOADING.DAT"
z80_1
	defb 11
	defm "LOADER1.Z80"
data_1
	defb 9
	defm "PART1.DAT"
z80_2
	defb 11
	defm "LOADER2.Z80"
data_2
	defb 9
	defm "PART2.DAT"

fdc_put ld bc,#FB7E;
fdc_put_synchro dw #70ED                ; in (c) - only affect the flags
                          jp p,fdc_put_synchro;
                               inc c;
                               out (c),a;
                               ret;
